+=========================================================+
   ShopXO 6.9.0 Release 20260603 http://shopxo.net
+=========================================================+
1.【新增】进销存插件新增经营看板，首页增加统计数据
2.【新增】抽奖插件（转盘、砸金蛋等）
3.【新增】满减满折插件
4.【新增】满送插件（支持赠送积分、余额、商品，适配多商户）
5.【新增】预售插件（下单、订单、售后、库存、限购、DIY 等）
6.【新增】企业采购插件（批量提审/审核、品类限制、后台订单管理等）
7.【新增】数据看板插件（多模板、对账单、资金账单、统计与权限）
8.【新增】新人礼包插件（支持多商户）
9.【新增】拼团插件（支持多商户）
10.【新增】砍价插件（支持多商户）
11.【新增】超级会员插件（原会员等级增强版，支持多商户、赠送积分与余额）
12.【新增】送礼插件（支持多商户、退款、权限控制）
13.【新增】礼品卡插件（支持多商户）
14.【新增】虚拟密钥插件（支持多商户）
15.【新增】运费设置插件（支持多商户，多商户侧运费设置迁移至该插件）
16.【新增】积分商城搜索页，首页增加更多入口
17.【新增】签到插件支持权限控制、奖励余额
18.【新增】敏感数据脱敏
19.【新增】商城及各插件后台待处理 / 待办提醒
20.【新增】后台右上角用户审核提醒
21.【新增】Cookie、Session 过期时间配置
22.【新增】钱包插件支持积分兑换余额、手机端
23.【新增】订单商品快照开关、订单溯源、订单导出支持商品表单
24.【新增】订单商品表单支持手机端
25.【新增】Excel 多表头导出
26.【新增】分身插件支持权限与 DIY
27.【新增】多商户 / 多门店 / 供应商相关 API 与首页环比统计
28.【新增】多门店收银台支持优惠券
29.【新增】通联支付支付宝 App 支付
30.【优化】进销存经营看板、首页统计及热销产品统计
31.【优化】多商户、多门店、公共在线客服 / 右侧导航调用客服插件方式（未安装或未启用不报错）
32.【优化】多商户、多门店、后台首页统计环比数据
33.【优化】积分商城、积分日志、钱包积分兑换
34.【优化】商品搜索、详情、参数与规格相关体验
35.【优化】预售、满减满折、满送、企业采购、抽奖、送礼、礼品卡、虚拟密钥等插件细节
36.【优化】DIY、分销、支付页扫码提示、订单扩展数据
37.【优化】插件上传、新版本上传及系统安全（jquery 升级、上传下载校验等）
38.【优化】404 与搜索引擎规则、公共样式与数据看板查询
39.【修复】进销存热销产品、基础统计角标等问题
40.【修复】Cookie 配置读取、商品参数 / 编辑验证、视频播放关闭等
41.【修复】预售、采购中心、库存回滚、邮箱绑定、插件上传风险等问题




+=========================================================+
   ShopXO 6.8.0 Release 20260305 http://shopxo.net
+=========================================================+
1.【新增】投诉举报插件
2.【新增】订单商品反馈插件
3.【新增】巡查插件
4.【新增】日志插件，支持（审核，更新，删除，操作）等日志记录
5.【新增】AI智能客服，支持（文档、问答、博文）知识库
6.【新增】开屏广告插件
7.【新增】商品新增使用指南，订单使用指导名称和描述自定义
8.【新增】订单溯源增加信息，支持指定品类订单
9.【新增】新增hlsjs公共库
10.【新增】权限支持插件配置
11.【新增】新增搜索日志查询
12.【优化】后台管理员支持头像
13.【优化】商品基础字段配置对应品类是否必填配置
14.【优化】商品参数支持原来的自定义模式
15.【优化】商店信息支持平台客户端和客服信息配置
16.【优化】商品管理编辑导航名称和描述自定义
17.【优化】订单导出打印插件支持自定义多模板并支持多商户
18.【优化】多商户支持订单售后沟通、新增发货仓库、资质和经营类目增强、支持过期审核复审、商品风控、商家新手引导等等...
19.【优化】进销存基准数更新优化，订单售后退款优化
20.【优化】订单记录商品所有基础数据、参数、详情信息
21.【优化】修复diy和forminput接口显示问题
22.【优化】智能工具箱订单售后客服支持店铺和平台同时存在
23.【优化】问诊开方支持附件下载、历史沟通记录查看
24.【优化】订单详情支持使用指南，手机端订单详情支持操作
25.【优化】搜索记录增加关键字限制和用户ip
26.【优化】商品搜索增加拦截关键字
27.【优化】商品面包屑导航支持自动读取上级层级
28.【优化】商品新增全面的二维码预览
29.【优化】增加商品参数自定义模式切换
30.【优化】three组件禁止操作排除支持
31.【优化】选项卡魔法自定义组件支持插件数据处理
32.【优化】优惠券细节优化
33.【优化】超级会员，分销静态图片配置优化
34.【优化】积分商城图片优化
35.【优化】电子面单插件支持多商户
36.【优化】DIY支持短视频插件




+=========================================================+
   ShopXO 6.7.1 Release 20251028 http://shopxo.net
+=========================================================+
1. 店铺资质更新清空无效修复
2. ul,ol 序号样式影响富文本优化
3. 批量下单插件读取商品参数错误修复
4. 门店，供应商，多商户 资质编辑优化，公共css优化
5. 商品参数改为后端固定模板格式
6. 表单支持编辑和细节优化
7. 数据看板页面错误修复，支付方式比例增加一位小数
8. 供应商平台商品分类改为系统商品分类
9. 订单商品表单插件适配最新form组件
10. 门店订单列表新增订单商品表单查看
11. form组件细节优化加bug修复
12. 站点备案信息改为自定义管理
13. 商品详情控制购物车和购买按钮
14. 电子面单，主账户和使用账户扣费方式
15. 购物车按照商品一致排序
16. 现金支付自定义内容支付复制操作
17. 版权修改插件支持可修改版本号
18. 分身插件DIY底部菜单管理错误修复




+=========================================================+
   ShopXO 6.7.0 Release 20250926 http://shopxo.net
+=========================================================+
1.【新增】供应商插件
2.【新增】商品对比插件
3.【新增】问诊开方插件，药师审核、处方单、审核签章功能
4.【新增】通联支付分账插件、开户、签约、收银台、分账
5.【新增】表单收集功能、支持电脑和手机端
6.【新增】引入wangeditor编辑器，优化表单预览和代码
7.【新增】独立的附件管理接口
8.【新增】DIY新增选项卡魔方、接口分离优化
9.【优化】库存扣减与回退优化
10.【优化】权限支持导出Excel
11.【优化】微信发货同步优化
12.【优化】订单服务，系统，多商户，进销存，供应商全部改成二维数组方式
13.【优化】手机端订单管理，售后订单支持搜索
14.【优化】手机端搜索支持店铺切换
15.【优化】签到插件赠送积分优化
16.【优化】手机端底部菜单逻辑更新
17.【优化】手机端取货码展示优化
18.【优化】上传文件组件预览、回调和显示逻辑优化
19.【优化】订单售后审核未发货退数量，金额计算精度影响修复
20.【优化】框架弹窗拖动选中其他内容优化
21.【优化】多商户新增标品，商品基础字段、参数、规格操作优化、增加协议管理
22.【优化】多商户店铺资质、经营类目资质分离与过期提醒
23.【优化】多商户新增保证金和服务费状态与管理
24.【优化】多商户新增登录页面轮播，图文，右侧图标
25.【优化】多商户店铺首页支持 DIY
26.【优化】多门店资质数据分离、退单支持指定商品数量和金额、收银台用户体验优化
27.【优化】分销客户订单去除地址信息+细节优化，修改上级避免死循环，第三方登录自动登录回到上一页、返积分支持
28.【优化】积分商城兑换优化、纯兑换积分不足禁止下单
29.【优化】主题切换插件优化
30.【优化】分享插件微信中分享错误修复
31.【优化】优惠券支持首页展示
32.【优化】多语言插件支持有道翻译
33.【优化】订单导出打印支持服务人员信息
34.【优化】分身支持独立配置底部菜单
35.【优化】钱包提现支持最新规则、数据支持excel导出
36.【优化】银联支付细节优化，通联支付提示优化，多商户管理中心新增消息管理
37.【优化】进销存单位与商城同步支持自定义
38.【优化】安装程序UI优化




+=========================================================+
   ShopXO 6.6.0 Release 20250428 http://shopxo.net
+=========================================================+
1.【新增】用户认证插件开发（用户认证，多商户销售和用户可购地区限制）
2.【新增】请求日志插件
3.【新增】博客、问答、组合搭配、多门店、多商户、销售记录支持DIY组件
4.【新增】商品魔方DIY组件
5.【新增】多商户、多门店新增员工职位和分类优化
6.【优化】超级会员支持赠送优惠券
7.【优化】后台数据统计去除多余的，数据统计大小改变未生效优化
8.【优化】多商户、多门店支持直接查看首页地址和二维码、增加语言切换、打印小票支持多语言，增加商品js错误修复
9.【优化】多商户认证图标、更多附件优化，多商户使用分账系统判断优化
10.【优化】多门店扫码加购、无规格图片优化、
11.【优化】系统安全文件修复
12.【优化】附件远程下载优化（上传附件增加权限）、商品计量单位名称更新
13.【优化】客服api、新增token变量
14.【优化】应用商店导入插件优化
15.【优化】博客，问答 diy自定义新增用户信息和商品
16.【优化】系统安装数据库提示优化
17.【优化】后台手机端首页diy新增快捷管理
18.【优化】浏览器图标支持后台修改
19.【优化】新增聚合小程序订单地址和详情地址
20.【优化】权限树组件提到公共
21.【优化】签到，秒杀，会员等级插件手机端图片自定义
22.【优化】主题切换插件优化
23.【优化】站点设置细节优化
24.【优化】h5预览地址优化
25.【优化】优惠券和积分商城0元订单不使用，兑换插件生成卡密优化
26.【优化】修改轮播视频图片显示方式
27.【优化】进销存编码更新优化、标签打印支持多语言
28.【优化】获取验证码输入框去除叉，其他优化
29.【优化】文档插件插件细节优化、增加第三方代码、目录和文章排序值改变有同步优化
30.【优化】第三方登录插件扫码登录提示优化、支持闽诊通
31.【优化】订单售后选择类型、未发货不能选择退货
32.【优化】支付宝userid转openid
33.【优化】用户头像上传支持url
34.【优化】报价单优化（支持详情导出、规格体积）
35.【优化】发票插件专业电子附件无法查看修复
36.【优化】商品diy自定义增加品牌商品url




+=========================================================+
   ShopXO 6.5.0 Release 20250305 http://shopxo.net
+=========================================================+
1.【新增】银联分账支付插件
2.【新增】互联网问诊插件
3.【新增】同城外送模式
4.【新增】订单管理服务模式处理
5.【新增】订单提交限制插件支持有效日期和时段限制
6.【新增】优惠券新增详情页面和接口、并支持DIY自定义
7.【新增】程序分身插件支持自定义首页diy
8.【新增】活动配置插件支持DIY商品列表
9.【新增】商品、文章支持单独的分享图片
10.【新增】DIY新增数据选项卡、支持数据复制
11.【新增】DIY自定义组件支持跟随、编组循环、动画、宽度自动、超出省略、历史记录
12.【优化】DIY选项卡固定优化
13.【优化】搜索页商品展示样式增加切换开关
14.【优化】商品页猜你喜欢增加开关
15.【优化】购物车页猜你喜欢增加开关
16.【优化】商品详情页左侧更多增加开关
17.【优化】订单详情单号支持复制
18.【优化】进销存支持订单服务
19.【优化】门店订单打印支持指定时间
20.【优化】门店收银台订单初始化性能优化
21.【优化】多商户收益管理页面bug修复
22.【优化】会员等级规格支持0元、支持会员费用支持返现到钱包
23.【优化】订单语音提醒支持复制单号和查看订单详情
24.【优化】智能工具箱插件商品详情url地址支持系统级别的配置
25.【优化】博客新增封面开关，用户手机绑定注册限制验证
26.【优化】弹屏广告插件优化、支持手机端、去掉接口首页模式
27.【优化】送礼插件bug优化
28.【优化】支付插件优化，安装插件优化
29.【优化】支付宝支付错误修复
30.【优化】后台插件管理状态操作优化
31.【优化】cookie优化




+=========================================================+
   ShopXO 6.4.0 Release 20241225 http://shopxo.net
+=========================================================+
1.【新增】微信小程序收货支持同步收货组件
2.【新增】后台管理增加独立的默认语言
3.【新增】用户注册增加自定义用户名、手机、邮箱禁止
4.【新增】手机端验证码绑定手机增加独立开关
5.【新增】新增web端主题
6.【新增】后台附件管理新增（图片、视频、文件）上传入口
7.【新增】新增用户商品限制插件
8.【新增】订单地址增加联系信息和指定时间
9.【新增】DIY自定义初始化增加钩子
10.【新增】积分商城支持积分+金额方式兑换
11.【新增】搜索支持条码和编码
12.【新增】发票插件开票支持钱包充值
13.【新增】应用商店可以直接安装插件
14.【优化】支付日志，退款日志 增加请求参数
15.【优化】客服功能bug修复（客服，多商户）
16.【优化】系统扫码支持条码和编码搜索
17.【优化】web端规格切换url路径层级更新优化
18.【优化】表格列表数据打印分页无效修复
19.【优化】微信小程序支持强制提示基础信息提示，并且同时支持手机号码一键获取
20.【优化】配置信息读取细节优化
21.【优化】分销插件优化，支持商品不参与和仅参与，等级单独配置购买获得
22.【优化】token生成错误修复
23.【优化】上传组件无分类优化
24.【优化】支付方式增加提示
25.【优化】弹窗验证码优化
26.【优化】统计请求并发优化
27.【优化】加载层loading时间优化
28.【优化】手机端用户中心为登录也给数据
29.【优化】语言读取优化
30.【优化】签到二维码路径存储优化
31.【优化】魔方无数据优化
32.【优化】虚拟销售增加复制功能，细节优化
33.【优化】门店搜索页支持地图搜索、门店详情扫码功能无效修复
34.【优化】博客增加排序权重
35.【优化】活动配置插件错误修复
36.【优化】去掉富文本中p标签样式
37.【优化】进销存产品单位库存支持共存，自动计算扩展单位，并全面支持app端，新增报表
38.【优化】问答支持富文本
39.【优化】DIY细节体验优化，自定义组件支持（多商户、多门店、博客、商品、文章）
40.【优化】底层框架升级到ThinkPHP8.1




+=========================================================+
   ShopXO 6.3.0 Release 20241022 http://shopxo.net
+=========================================================+
1.【新增】送礼插件
2.【新增】文档插件
3.【新增】登录日志插件
4.【新增】手机归属地插件
5.【新增】DIY可视化装修手机端
6.【新增】支持手机端底部菜单支持DIY管理
7.【新增】后台查看错误日志
8.【新增】token生成规则配置
9.【新增】图片验证码增加随机类型
10.【新增】附件管理、附件分类管理
11.【新增】拉卡拉收银台支付插件
12.【新增】搜索页支持商品产地筛选
13.【新增】主题、支付方式、插件、页面设计、DIY装修支持在线导入
14.【新增】主富文本编辑器组件支持分类筛选
15.【新增】主富文本编辑器组件支持拖入、截图、远程扫码上传
16.【新增】主富文本编辑器代码支持高亮
17.【优化】用户状态验证优化
18.【优化】cookie读取域名优化
19.【优化】layout页面设计结构调整
20.【优化】后台首页统计，初始化分离
21.【优化】主题支持覆盖插件视图文件
22.【优化】exce导出支持选择指定数据
23.【优化】商品读取sql优化
24.【门店】增加员工手机端核销，支持骑手插件派单，基础模式优化支持（基础、商品、基础+商品）
25.【多商户】商品分类支持二级，新增商品审核，支持骑手插件派单，增加员工管理和手机端核销
26.【进销存】支持品牌数据双向同步，excel导入错误展示修复、并支持图片
27.【配送员】支持多门店和多商户
28.【会员等级】增加价格显示开关
29.【积分商城】扫码错误，防伪码，礼品卡的二维码支持导出
30.【工具箱】支持自定义商品外部地址，新增excel库存批量修改
31.【钱包】提现方式支持（微信、支付宝）零钱转账，支持自动提现
32【问答】增加分类，增加通知手机和邮箱，消息提醒适配问答




+=========================================================+
   ShopXO 6.2.0 Release 20240704 http://shopxo.net
+=========================================================+
1.【优化】搜索新增需要登录开关、支持禁止UserAgent
2.【优化】门店开启独立库存后，展示所有的库存了
3.【优化】多商户管理端UI全新升级
4.【优化】魔方优化、支持排序
5.【优化】第三方登录优化
6.【优化】分销优化，支持上级用户修改次数，海报优化，分销海报生成兼容8.2+
7.【优化】超级会员展示正常售价
8.【优化】博客，问答积分奖励失败修复
9.【优化】短信和邮件写入日志优化
10.【优化】多语言支持app内容翻译
11.【优化】下单地址和用户地址编辑优化
12.【优化】用户地址增加地址最后一级编码
13.【优化】插件目录调整
14.【优化】验证码放大
15.【优化】安装程序优化，支持随机生成管理入口地址
16.【优化】插件细节优化，导出excel适配php8.1+
17.【优化】修复拼音库使用错误和西班牙语格式错误
18.【优化】去除商品评论列表复选框
19.【优化】自提地址logo错误修复
20.【优化】动态表格分离优化
21.【新增】新增数据打印module
22.【新增】商品销量和库存展示开关
23.【新增】商品支持自定义顺序
24.【新增】插件支持二级域名
25.【新增】插件配置文件支持自定义主题配色
26.【新增】导航管理支持插件首页添加
27.【新增】手机端支持自定义客服信息
28.【新增】新增进销存手机端、web端UI全新升级
29.【新增】新增商品重组
30.【新增】新增礼品卡
31.【新增】新增商品防伪码
32.【新增】新增app更新管理
33.【新增】新增品类限制




+=========================================================+
   ShopXO 6.1.0 Release 20240425 http://shopxo.net
+=========================================================+
1.【优化】公共加入购物车方法支持指定规格
2.【优化】动态数据列表外部调用处理数据优化
3.【优化】底层框架升级到thinkphp8，php版本支持8.0+
4.【优化】公共url处理支持短地址参数处理
5.【优化】订单售后使用优惠情况下不自动退数量问题修复
6.【优化】公共参数去掉多余的参数
7.【优化】商城logo和底部备案信息支持可视化修改
8.【优化】首页轮播、用户中心导航、首页导航、快捷导航支持多选平台
9.【优化】用户端未登录访问页面权限错误修复
10.【新增】公共附件新增预览方法
11.【新增】web端商品搜索页新增价格滑条
12.【新增】智能工具箱插件支持商品批量上下架
13.【新增】魔方插件支持更多商品组合
14.【新增】批量下单插件web端新增table规格形式购买
15.【新增】支付宝小程序支持JSAPI支付




+=========================================================+
   ShopXO 6.0.0 Release 20240415 http://shopxo.net
+=========================================================+
1.【优化】门店管理端UI全新优化+体验优化、独立收银台（支持自动支付）
2.【优化】paypay支付开发支持app
3.【优化】页面错误和成功提示跳转，登录验证优化
4.【优化】用户查询数据总数错误修复
5.【优化】微信同步发货优化，商品规格高级设置失效修复
6.【优化】文章支持搜索、图片、描述、面包屑导航
7.【优化】第三方插件绑定优化
8.【优化】首页增加缓存逻辑
9.【优化】zip压缩包下载无效修复
10.【优化】支付宝扫码支付优化
11.【优化】token用户信息优化
12.【优化】公共加载层改成logo
13.【优化】批量调整上传组件删除按钮
14.【优化】web端搜索，商品详情模块拆分
15.【优化】后台商品规格高级修改错误修复
16.【优化】多语言切换支持绑定的域名
17.【新增】支持单页面设置为首页（页面设计、自定义页面、插件首页）
18.【新增】积分商城支持纯兑换模式，支持批量生成线下积分码、扫码领积分
19.【新增】支持展示商品单位
20.【新增】新增公共商品收藏
21.【新增】商品新增价格和单位开关
22.【新增】运费设置支持多运费模式
23.【新增】订单快递支持多包裹
24.【新增】企业采购管理插件（企业入驻商城内部采购，采购单+员工管理、采购订单审核后转商城下单。）
25.【新增】自定义多种虚拟币（可转账、转换、充值、提现、支付）
26.【新增】新增xpay、JeePay支付
27.【新增】app支持绑定（邮箱、微信、qq、支付宝）
28.【新增】app支持密码修改
29.【新增】主题支持可视化管理
30.【新增】增加6套端精品web主题
31.【新增】主题数据管理（单图文、多图文、视频、商品、文章）、支持导入下载
32.【新增】动态数据表格读取优化、支持文本复制、支持单图多图展示和预览、支持换行转数组




+=========================================================+
   ShopXO 5.0.0 Release 20240119 http://shopxo.net
+=========================================================+
1.【优化】后台UI全新优化、极致体验
2.【优化】上传附件组件增加组合和预览
3.【优化】发票支持专用电子发票
4.【优化】进销存商城同步到进销存支持多仓库对应同步、客户和供应商增加直接查看
5.【优化】门店业务流程优化、小程序端支持门店购物车
6.【优化】小程序适配百度和头条底部tab
7.【优化】搜索页面商品分类层级读取下级
8.【优化】所有插件管理导航统一组件
9.【新增】手机端支持APP（IOS+Android）
10.【新增】手机端支持多语言（中文、繁体、英文、西班牙）
11.【新增】手机端我的中支持门店订单查看和下单自动进入门店订单
12.【新增】手机端购物车支持优惠明细查看及选择
13.【新增】短信对接多平台（腾讯、百度、云片、loginsms）
14.【新增】第三方登录APP支持（微信、QQ、苹果、谷歌、本机号码）
15.【新增】扫码收款和消息通知支持语音播报
16.【新增】订单商品表单细节优化，新增类型（整数、邮箱、手机）、并支持手机端
17.【新增】订单再次购买支持回购和加购物车选择
18.【新增】头条支付支付企业担保
19.【新增】插件支持自动批量更新
20.【新增】后台新增常用功能
21.【新增】新增商品评论管理
22.【新增】新增下单备注预选择
23.【新增】手机端商品分类页面带排序
24.【新增】下单积分自定义
25.【新增】优惠券支持默认选择（最优惠、快过期）




+=========================================================+
   ShopXO 4.0.0 Release 20231110 http://shopxo.net
+=========================================================+
1.【优化】默认主题管理插件支持手机端配色
2.【优化】首页中间广告数据支持平台限制
3.【新增】单独上传文件组件
4.【新增】进销存支持多门店，并支持销售单导入采购
5.【新增】新增扫码付款插件，支持（商城、门店、多商户）使用
6.【新增】魔方插件
7.【新增】钱包支持转账、后台余额直接修改、线下付款方式充值
8.【新增】智能工具箱支持手机端再次购买、商品详情页面直接评价、后台直接操作订单售后
9.【新增】第三方登录支持web端手机扫码登录
10.【优化】订单售后样式优化
11.【优化】分类商品分页和一级分类优化
12.【优化】支持各个平台单独设置站点类型
13.【优化】视频播放器支持多语言
14.【优化】配送员插件支持用户物流查看，后台批量发货及配送
15.【优化】商品搜索支持编码和条码
16.【优化】超级会员支持钱包支付
17.【优化】问答支持评论、点赞
18.【优化】手机端全新UI、极致体验优化
19.【优化】首页轮播支持背景色自动切换
20.【优化】分配页面支持全部分配查看
21.【优化】门店服务订单管理及收银优化支持二级




+=========================================================+
   ShopXO 3.0.3 Release 20230918 http://shopxo.net
+=========================================================+
1. 用户系统类型唯一优化
2. 商品规格移动错误修复
3. 去除参数过滤影响xml格式
4. web端手机底部导航优化
5. web端首页导航优化，支持无背景大图展示，每行展示5个
6. 订单留言丢失修复
7. 多语言支持国家图标设置
8. 微信支付签名验证优化
9. 订单售后支持订订单ID展示及搜索
10. 首页轮播新增描述和有效时间
11. 安装程序支持自定义管理员账号及密码



+=========================================================+
   ShopXO 3.0.2 Release 20230911 http://shopxo.net
+=========================================================+
1. 小程序登录多端同步问题修复
2. 部分数据列表操作事件无效优化
3. 订单详情物流信息优化
4. 订单拆分垃圾数据影响优化
5. 模块和楼层手机端也展示更多入口
6. 多商户水印不全修复
7. js分页组件优化、增加跳和页码和详情信息
8. 腾讯地图支持指定服务类型
9. 新增微信小程序隐私弹窗说明
10. 登录过期时间调整为12小时



+=========================================================+
   ShopXO 3.0.1 Release 20230903 http://shopxo.net
+=========================================================+
1. 订单管理再次支付默认选中上一次的支付方式
2. 订单发货业务模块拆分
3. 订单确认页面导航和合计样式错位修复
4. 用户服务层基础方法优化，扩展性更高
5. 友情链接标题未显示修复并去除title属性
6. 富文本图片去除title属性
7. 公共title忽略图片标签
8. 购物车无数据提示icon错误修复
9. 订单确认页面地址切换样式错位优化
10. 动态数据表格支持头部class唯一标识



+=========================================================+
   ShopXO 3.0.0 Release 20230828 http://shopxo.net
+=========================================================+
1.【新增】新增微信小程序可以提示完善头像及昵称
2.【新增】用户资料修改支持指定字段
3.【新增】删除商品可以选择仅商品或加图片
4.【新增】用户添加增加前钩子
5.【新增】插件管理新增分类
6.【新增】多语言支持绑定顶级域名、默认语言翻译内容添加
7.【新增】支持独立域名绑定对应语言自动识别
8.【新增】前后端页面body新增唯一标识
9.【新增】动态数据列表新增二维码生成并展示支持
10.【新增】动态数据列表进度条支持
11.【新增】动态数据列表星星评分支持
12.【新增】插件支持快速加入左侧菜单
13.【新增】易票联支付宝和微信支付
14.【新增】OceanPayment信用卡支付
15.【新增】后台操作记录日志
16.【新增】默认主题样式配置插件
17.【新增】商品分类商品模式支持一级分类商品展示
18.【新增】插件入口快速增加
19.【优化】PC用户端整体UI及体验优化
20.【优化】订单提交商品数量限制修复
21.【优化】汇率跟随系统语言自动识别
22.【优化】支付方式支持默认汇率
23.【优化】图片预览组建优化
24.【优化】图片验证码默认传参无效修复
25.【优化】商品详情手机模式下购买操作弹窗消失修复
26.【优化】可视化装修增加字符数量限制
27.【优化】web端商品模块拆分
28.【优化】手机端数据列表避免重复请求
29.【优化】动态数据列表支持无刷新搜索
30.【优化】百宝箱放到顶部小导航右侧
31.【优化】页面设计媒体文件支持居中和最大最高限定并自适应
32.【优化】多商户支持二级导航、资质展示、增加店铺评分、新增后台等级购买、等级增加不可购买控制
33.【优化】数据缓存新增开关        
34.【优化】进销存仓库仓位和备注提到规格层面、批量修改价格逻辑可能错误
35.【优化】购买页面向下滑动后点击购买会消失
36.【优化】用户注册待审核通知（消息通知插件中实现）
37.【优化】门店支持打印机配置支持别名、商品绑定、多模板、支持客服
38.【优化】钱包数据列表使用新动态数据
39.【优化】分销等级规则优化、扩张性更高更好用
40.【优化】组合搭配起购数量设置
41.【优化】用户列表卡顿问题修复
42.【优化】ipad模型下uniapp顶部错位



+=========================================================+
   ShopXO 2.3.3 Release 20230410 http://shopxo.net
+=========================================================+
1. 立即购买支持多个商品
2. 新增公共加入购物车操作
3. 订单分组多订单场景下仅支持快递模式
4. 起购数和限购数提升到规格层级
5. 新增视频扫码组件
6. 自提订单取货支持扫码操作
7. 自定义页面改为html+css+javascript代码编辑模式
8. 多端多系统标识调支持用户信息共享
9. 用户新增所属平台标记
10. api接口token各端独立，并加强token加密
11. 内置多语言模块（前后端及语言可控）
12. 可视化设计支持鼠标悬停图片放大控制
13. 可视化页面支持自定义协议url
14. 订单、订单售后、消息新增钩子
15. 图标导航支持纯净模式
16. 地区支持唯一编号快捷选择
17. 弹窗支持拖动和双击全屏缩小
18. 后台管理窗口支持多窗口并行
19. 单独售后仅退款自动退数量优化
20. 进销存支持与商城双向同步和运单打印及商品标签打印
21. 新增商品服务插件
22. 新增组合搭配插件
23. 新增批量下单插件
24. 小程序整体结构及功能细节优化



+=========================================================+
   ShopXO 2.3.2 Release 20221130 http://shopxo.net
+=========================================================+
1. 用户增加区县字段、会员码
2. 展示型商品不校验库存
3. 系统更新必须先更新待更新的插件
4. 购物车汇总优化
5. 拖拽可视化新增[图文、图片魔方、自定义html]模块，商品支持左图右文样式
6. 后台管理操作栏优化、减少上下占据空间
7. 门店详情支持多规格直接加购
8. 分类页面支持多规格直接加购+购物车操作
9. 新增[主导航、logo及搜索栏、页脚]展示开关
10. 新增钱包付款码
11. 新增账号注销
12. 新增base64类库
13. 新增input、select清除操作
14. 小程序新增个人资料修改
15. 小程序新增手机号码修改
16. 小程序购物车分离优化
17. 微信小程序登录适配新规
18. 可视化数据展示新增缓存
19. web端首页轮播样式优化
20. 用户头像上传新增钩子
21. 分页统计优化避免sql浪费
22. 动态数据列表分页支持统计汇总
23. 底层框架升级到tp6.1



+=========================================================+
   ShopXO 2.3.1 Release 20221023 http://shopxo.net
+=========================================================+
1. 模板引擎数据渲染统一
2. 前后端模块API返回统一
3. 后台登录统一base公共类
4. 新增公共语言信息（含js使用）
5. 新增模板数据赋值和模板渲染钩子
6. 数据列表统一变量、避免重复冲突
7. 后台管理新增用户购物车商品查看
8. 新增商品规格模板（发布商品的时候快捷选择）
9. 商品参数模板新增商品分类
10. 下单确认页面业务选择自动定位锚点
11. 后台查看用户购物车
12. 后台权限菜单优化
13. 打开页面支持多窗口
14. 动态数据列表支持（数据处理、Excel和PDF导出、数据打印）
15. 新增搜索日志记录开关
16. 新增进销存插件



+=========================================================+
   ShopXO 2.3.0 Release 20220816 http://shopxo.net
+=========================================================+
1. 搜索优化（关键字搜索筛选品牌）
2. 后台右上角新增清除缓存快捷入口（缓存清除改为异步）
3. 商品规格新增体积、运费插件新增体积
4. 新增paypal支付方式（支持PC+H5+APP）
5. 地图新增（高德、腾讯、天地图）、去除编辑器中的百度地图组件。
6. 适配头条小程序导航新规
7. 新增各端可配置默认支付方式
8. 新增虚拟订单快速提交订单进入支付（跳过订单确认环节）
9. 动态数据列表新增自动读取数据
10. 头条小程序支持一键获取手机号码、并支持unionid绑定
11. 插件安装及更新新增操作前事件
12. 商品类型判断优化
13. 后台管理新增夜间深色模式
14. 公共分类组件优化
15. 更新底层框架
16. 客服插件细节优化
17. 多商户新增等级付费购买及功能限制
18. 门店新增达达配送
19. 优惠券细节优化支持多商户
20. 限时秒杀细节优化支持多商户



+=========================================================+
   ShopXO 2.2.9 Release 20220711 http://shopxo.net
+=========================================================+
1. 新增数据加密秘钥配置
2. 新增cookie有效域名配置
3. 搜索页面改为同步搜索、去除异步模式
4. 小程序商品分类页面支持商品列表模式展示
5. 小程序首页插件数据按照顺序渲染
6. web端新增面包屑导航
7. 首页轮播支持全屏
8. 新增用户订单通知插件（用户下单、订单状态变更给用户发送短信及邮件通知）
9. 多商户优化（商户平台商品添加、保证金退回优化、店铺首页自定义配置数据）
10. 门店优化（就近排序、配送员通知、下单用户地址固定门店地址）
11. 分销优化（支持多商户）
12. 智能工具插件优化（新增库存预警）
13. 客服优化（支持图片、表情、视频、快捷回复，客户端多聊）
14. 新增黑龙江政采电子卖场对接
15. 新增建行龙支付聚合支付（PC+微信小程序）
16. 新增ckplayer播放器、商品详情视频播放优化
17. 地图查看优化、增加独立页面查看
18. 二级域名配置生成优化
19. excel文件导出支持选择csv导出
20. 后台插件管理支持搜索



+=========================================================+
   ShopXO 2.2.8 Release 20220520 http://shopxo.net
+=========================================================+
1. 商品类型不一致不可售卖提示更新
2. 新增电子面单插件（自定义批量导出导入发货+批量打单+批量发货）
3. 商品管理新增智能工具插件分类批量移动
4. 商品详情相册小图片增加轮播优化
5. 可视化拖拽新增8:4和4:8布局
6. 支持快手小程序
7. 系统类型细节优化
8. 门店插件优化
9. 多商户插件优化
10. 活动配置插件优化
11. 登录采用cookie可逆加密存储
12. 微信小程序直播插件优化
13. 多语言插件优化
14. 智能工具插件优化
15. 分页组件支持自定义传入数值


+=========================================================+
   ShopXO 2.2.7 Release 20220422 http://shopxo.net
+=========================================================+
1. 新增地址信息智能识别和地理位置选择识别（智能工具插件）
2. 新增系统类型，不同终端独立用户，可辨别客户端类型
3. 页面设计支持下载、导入、同步首页、商店在线安装
4. 导航添加支持选择页面设计
5. 移除老版本小程序源代码
6. 支付及售后优化
7. 支付日志记录，输入参数使用原始参数
8. 支付配置读取优化，统一方法
9. 小程序一键获取手机和地址导入增加可单独选择
10. web端联动地址初始化分离
11. 门店插件仓库逻辑优化、新增自动脚本
12. 多商户插件细节优化、页面设计支持同步首页
13. uniapp主题细节优化+bug修复
14. 客服插件细节优化+bug修复
15. 主题切换插件支持参数自动识别
16. 新增分身插件、独立小程序和支付配置、用户端商品数据限制
17. 地区数据库更新


+=========================================================+
   ShopXO 2.2.6 Release 20220407 http://shopxo.net
+=========================================================+
1. 用户管理新增邀请人信息
2. 新增公共jshttp变量
3. 积分赠送脚本优化
4. url生成优化、新增站点域名配置
5. 短信和邮箱驱动优化
6. 下单0元校验逻辑优化
7. 订单售后审核钩子新增数据id
8. 购物车列表数据处理分离+css细节优化
9. 新增小程序订阅消息发送方法
10. 用户地址新增距离显示字段和订单发货售后提醒
11. 新增客服插件
12. 多商户适配客服插件+细节优化
13. 门店新增下单距离限制及细节优化


+=========================================================+
   ShopXO 2.2.5 Release 20220310 http://shopxo.net
+=========================================================+
1. 物流插件新增菜鸟调试接口
2. 系统购买商品赠送积分优化、增加脚本按周期发放
3. 用户管理新增锁定积分修改
4. 分页组件新增提示信息
5. 下单支付优化
6. 可视化拖拽设计模块新增门店和博客
7. 新增挂账支付方式
8. 删除插件会删除附件修复
9. 动态列表组件支持模块引入单独配置
10. 去除微信圈子组件
11. 图片验证码精度优化
12. 多商户插件商家中心UI全新优化、独立后台、独立登录页
13. 门店支持独立登录页、扫描录单、新增扩展模块（货物寄存、挂账支付）
14. 智能工具插件新增商品详情信息提示
15. 支付宝+百度支付插件方法更新适配php8


+=========================================================+
   ShopXO 2.2.4 Release 20220216 http://shopxo.net
+=========================================================+
1. 商品url地址优化
2. 商品购买类型判断优化
3. 用户管理列表新增邀请人id
4. 后台用户新增及更新调用统一方法
5. 优化0元订单无需选择支付方式
6. 底层js类库更新+框架底层更新
7. 小程序商品详情页支持返回指定操作
8. 后台统计数据优化
9. 商品保存规格判断错误修复
10. 文章优化
11. 分页组件xss修复
12. excel库更新为Spreadsheet库支持更高版本、效率更高、更稳定
13. 动态数据列表处理模块优化+支持Ym年月选择条件
14. 订单商品类型校验错误修复
15. 日历组件更新到最新版本
16. 表单验证器优化
17. 浏览文件库存配置添加提示、下单商品新增扩展内容
18. 订单售后商品异常影响优化
19. 新增支付宝和微信付款码支付（一般用于线下扫用户付款码进行支付）
20. 新增插件权限单独配置管理
21. 新增电子营业执照亮证
22. 新增web端PC访问关闭开关
23. 新增json头信息系统出错输出
24. 门店2.0.0版本开发支持大多数O2O实体店运营、线上线下完美结合


+=========================================================+
   ShopXO 2.2.3 Release 20211213 http://shopxo.net
+=========================================================+
1. 整体适配H5端
2. 订单、钱包、会员等级支付优化适配
3. 支持（账号、手机、邮箱）登录注册方式
4. 分享逻辑优化全局处理
5. 分销新增上级用户、阶梯返佣提示
6. 新增独立新增错误页面
7. 适配第三方登录插件
8. 支持线下支付自定义信息展示
9. 规格切换购买数量错误修复
10. 手机端富文本详情支持视频、超链接、图片预览
11. 页面设计图片地址处理优化
12. 问答数据处理用户出错修复
13. 新增web端首页关闭状态+新增电信经营许可证展示
14. 支持新增线下支付订单进入正常流程开关
15. 新增手机H5自定义地址
16. 商店账号未绑定优化
17. 订单自动收货参数错误修复
18. 老版本小程序主题适配新版本接口


+=========================================================+
   ShopXO 2.2.2 Release 20211123 http://shopxo.net
+=========================================================+
1. 限时秒杀插件支持独立首页并适配小程序
2. 活动配置插件支持优惠价格设定并适配小程序
3. 标签插件适配小程序
4. 中间广告插件适配小程序
5. 弹屏广告插件适配小程序
6. 哀悼插件适配小程序
7. 文章支持分类页面并适配小程序
8. 博客插件适配小程序
9. 分销、超级会员、钱包全面支持小程序
10. 新增批量评价插件
11. 新增用户授权获取用户信息API
12. 可视化商品分类排序错误修复
13. 百度支付插件支持自定义异步地址
14. 新增菜鸟物流插件、支持web端和小程序
15. 第三方登陆插件APP端支持（微信、QQ）
16. 插件隐私字段配置、避免重要信息暴露


+=========================================================+
   ShopXO 2.2.1 Release 20211024 http://shopxo.net
+=========================================================+
1. 后台管理首页统计数据优化、新增可选时间和地区维度
2. 支持现金支付、货到付款、不影响订单正常进行
3. 图片上传组件安全增强、避免木马上传
4. 常量数据分离，支持钩子自动处理
5. 修复订单售后库存回滚优化，避免商品规格已无效导致失败无法继续
6. 优化订单售后退款支付金额使用实际支付金额
7. 动态数据列表格子支持钩子
8. 新增uniapp端小程序主题（目前仅支持微信小程序）
9. 新增批发插件、数量阶梯售价
10. 新增标签插件、对商品、用户进行分组管理
11. 新增支付宝证书加密支付接口插件
12. 新增API接口文档


+=========================================================+
   ShopXO 2.2.0 Release 20210726 http://shopxo.net
+=========================================================+
1. 底层框架 thinkphp v5.1 升级到 v6.x
2. 优化公共数据、增加更多公共数据缓存、缓存数据优化
3. 图片验证码增加随机数优化
4. 所有插件适配支持v2.2.0版本
5. 新增银联商务微信小程序支付插件
6. 在线客服插件新增微信
7. 小程序相册根据手机型号自动铺满屏幕
8. web端商品规格切换调试模式下错误修复
9. web端图片验证码随机数优化
10. 系统入口php版本检查优化


+=========================================================+
   ShopXO 2.1.0 Release 20210712 http://shopxo.net
+=========================================================+
全局
	1. 新增可视化DIY拖拽装修（商城首页+独立页面）
	2. 支持销售记录提示
	3. 支持多商户首页+店铺收藏+店铺商品搜索+店铺详情+页面设计（支持可视化DIY拖拽设计）
	4. 订单售后去掉退款说明强制填写
	5. 退货地址支持根据订单所属仓库自动匹配仓库地址
	6. 订单商品增加销量新增订单支付规则

web端
	1. 商品详情小导航优化
	2. 应用商店交互优化、避免网络

插件
	1. 新增销售记录插件（首页展示最新销售商品、商品详情浮窗提示）
	2. 积分商城支持注册奖励积分
	3. 多商户（新版优化+支持小程序）
	4. 新增支付宝当面付插件
	5. 新增头条小程序支付插件


+=========================================================+
   ShopXO 2.0.3 Release 20210527 http://shopxo.net
+=========================================================+
全局
	1. 用户注册新增用户隐私协议
	2. 文件下载安全修复

web端
	1. 系统更新+插件更新优化
	2. 支付宝支付金额兼容性优化、支持异步返回
	3. 后台左侧菜单宽度调整
	4. 插件/主题打包新增版本号
	5. 商品编辑优化
	6. api接口新增更多配置信息

插件
	1. 优购返现插件新增按照订单金额返券
	2. 优惠券插件修复web端未登录点击领取无响应
	3. 新增智能工具箱插件
	4. 新增第三方登录插件


+=========================================================+
   ShopXO 2.0.2 Release 20210426 http://shopxo.net
+=========================================================+
全局
	1. 搜索关键字包含SEO字段新增开关
	2. api接口新增用户注册协议数据
	3. 微信/QQ支付支持APP支付独立配置appid

web端
	1. 系统、功能插件、支付插件、web端主题、小程序主题支持在线安装更新

小程序
	无更新

插件
	1. 分销插件优化、增强更多返佣规则


+=========================================================+
   ShopXO 2.0.1 Release 20210412 http://shopxo.net
+=========================================================+
全局
	1. 公共图片上传重绘加开关
	2. 搜索多个关键字[或|并且]关系的控制
	3. 新增商品优惠重叠开关控制

web端
	1. 修复编辑器粘贴数据图片重复存储
	2. 修复web端用户注册图片验证码过期问题
	3. 修复微信小程序用户授权基础信息丢失问题
	4. 新增多商户插件、支持用户入驻开店销售产品、独立首页、独立卖家中心、商品/订单/结算/数据统计管理
	5. 站点类型统一调用，新增钩子支持
	6. 搜索模块参数搜索新增类型控制

小程序
	无更新

插件
	1. 新增多商户
	2. 超级会员（放开商品规格扩展的数据、支持多商户、适配优惠重叠）
    3. 分销（放开商品规格扩展的数据、支持多商户、适配优惠重叠）
    4. 限时秒杀（适配优惠重叠）


+=========================================================+
   ShopXO 2.0.0 Release 20210316 http://shopxo.net
+=========================================================+
全局
	1. 编辑器路径统一调用
	2. 商品状态改变、订单库存扣除+回滚新增钩子
	3. 支付宝支付插件优化
	4. 现金支付插件优化、新增自定义支付信息
	5. 订单支付状态金额控制开关
	6. 搜索页面价格、参数、规格、品牌开关控制
	7. 新增翼支付方式
	8. 商品详情购买导航按钮统一标准化
	9. 非兼容模式去掉index.php
	10. 已完成订单退数量，则释放销量
	11. 自提取货点新增logo图片
	12. 自提地址可根据用户位置最近排序

web端
	1. 编辑器图片、附件、视频多选支持按照顺序选择插入编辑器
	2. 插件、主题下载新增历史信息记录
	3. 插件（上传、安装、卸载、删除）新增回调事件
	4. 后台管理登录优化（新增帐号密码+图片验证码、邮件验证码、手机验证码）
	5. 用户登录优化（新增帐号密码+图片验证码、邮件验证码、手机验证码）
	6. API用户接口新增帐号密码+手机+邮箱[登录、注册]方式、图片验证码+短信邮件验证码发送

小程序
	1. 小程序商品详情标题去除高度限制
	2. 签到优化，不强制填写信息
	3. 微信小程序适配官方新规授权登录逻辑更新
	4. 手机绑定接口更新

插件
	1. 应用商店（在线自动安装应用插件、开发者提供优质插件、VIP授权管理）
	2. 新增主题自动切换插件
	3. 分销插件支持自提地址切换


+=========================================================+
   ShopXO 1.9.3 Release 20210113 http://shopxo.net
+=========================================================+
全局
	1. 新增签到插件
	2. 新增积分商城插件
	3. 支付插件支持定义Notify独立异步方法
	4. 用户地址坐标与身份证信息优化
	5. 支付宝支付插件异步处理优化
	6. 地区新增全量数据接口
	7. 商品详情新增icon+面板公共信息
	8. 新增品牌插件、搜索页面优化+新增商品属性+规格搜索+品牌信息

web端
	1. 首页手动模式配置下商品缺失修复、去除自动模式商品无需推荐
	2. 商品规格新增排序操作+优化、商品参数优化
	3. 插件缓存数据优化、重新安装保留配置信息
	4. 友情链接新增手机端显隐控制
	5. 公共动态数据表单参数优化
	6. 动态数据列表组件条件新增气泡式弹出层、模块引入参数优化
	7. 后台插件管理新增排序功能、自定义显示顺序+插件调用顺序
	8. 公共接口新增插件配置返回
	9. API接口与插件解耦、扩展性更上一层楼

小程序
	1. 小程序商品标题两行显示优化
	2. 微信小程序登录授权循环bug修复

插件
	1. 新增签到插件
	2. 新增积分商城插件
	3. 新增品牌插件
	4. 分销插件取货点与向上返佣支持同步进行、可控制，用户列表新增分销等级展示
	5. 会员等级插件优化用户列表新增会员等级展示
	6. 发票插件支持下单开票


+=========================================================+
   ShopXO 1.9.2 Release 20201210 http://shopxo.net
+=========================================================+
全局
	1. 首页商品支持自定义配置
	2. 首页左侧二级商品分类支持自定义配置
	3. 快捷导航新增开关控制
	4. 用户地址[地图/身份证]新增开关控制
	5. 新增开票插件

web端
	1. 后台管理小程序列表新增主题管理
	2. 分类管理组件优化、支持异步无刷新操作
	3. 顶部小导航/logo位置新增钩
	4. 新增商品参数模板管理、配置商品直接选择模板载入
	5. 分页组件新增自定义页码跳转
	6. 后端动态表格数据列表组件优化高度固定
	7. 首页轮播左侧商品分类和右侧聚合内容新增开关控制
	8. 动态表格数据列表自定义条件bug修复
	9. 编辑器组件CDN跨域不能使用修复

小程序
	1. 支付订单0金额错误修复
	2. 小程序规格图片支持放大查看
	3. 微信小程序商品/直播分享支持封面图片
	4. 小程序分享优化、微信小程序分享朋友圈支持自定义图片+参数

插件
	1. 新增订单商品表单插件（下单商品详情页面动态配置表单让用户填写数据再下单）
	2. 商品批量修改插件新增在商品列表支持库存快捷配置


+=========================================================+
   ShopXO 1.9.1 Release 20201103 http://shopxo.net
+=========================================================+
ShopXO从v1.9.1版本起由Apache2.0协议改成MIT协议、之前的版本也可以遵循MIT协议使用
全局
	1. 支持货币功能
	2. 新增快捷导航
	3. 新增商品属性参数
	4. 新增附件、css/js静态可配置CDN域名
	5. 网站首页可后台控制配置
	6. 新增SESSION和数据缓存配置Redis（独立配置）
	7. 新增支付接口异步推送日志记录
	8. 用户地址优化（新增身份证信息填写上传照片）

web端
	1. 后台菜单支持自定义url地址、并支持钩子自动添加
	2. 后台区块数据统计新增当月、上月维度
	3. 新增插件路由短地址规则
	4. 动态表格列表支持自定义显示字段和拖拽排序
	5. 后台新增用户地址管理
	6. 动态表格列表支持排序操作

小程序
	1. QQ小程序支持微信支付
	2. 支持手机号码一键绑定[百度/微信]
	3. 支持获取收货地址[百度/微信/QQ/支付宝/头条]
	4. 提现在用户未绑定手机的情况下、支持绑定手机号码

插件
	1. 汇率插件支持货币自由切换
	2. 新增IEPay新西兰货币支付（支付宝+微信）
	3. 新增博客插件、写文章增加商城的搜索引擎收录、关联推荐商品
	4. 钱包插件支持修改余额输入操作密码、提现支持配置最低金额
	5. 分销插件新增收益总额自动升级，新增指定商品返现、复购优惠、推广达标返现模式
	6. 新增活动配置插件、可首页展示活动、独立活动首页和详情页面
	7. 多语言插件支持近200多种语言翻译


+=========================================================+
   ShopXO 1.9.0 Release 20200818 http://shopxo.net
+=========================================================+
全局
	1. 积分支持按照订单商品总额比例发放，发生售后收回积分
	2. 微信小程序好物推荐和直播组件支持配置组件版本号
	3. 支持商品自定义销售类型（销售模式、展示模式、自提模式、虚拟销售模式、销售+自提模式）
	4. 商品管理去除库存的配置，移动到独立库存中管理
	5. 新增仓库管理，仓库商品库存管理（多仓库、多库存）
	6. 新增 Ipay88 支付方式
	7. 订单新增批量合并支付
	8. 支付日志、退款日志、用户消息优化
	9. 商品封面图片优化
	10. 搜索支持空格多个关键字
	11. 商品分类支持1~3级自由配置展示
	12. 搜索新增热度和新品排序
	13. 用户问答管理页面新增留言入口
	14. 部分细节优化、bug修复、安全增强

web端
	1. 所有条件、数据列表、新增、编辑、删除 新增钩子（公共 form 表单封装）
	2. 后台管理登录页面新增随机背景（支持关闭）
	3. 商品编辑规格新增选中光标，用于数据太多定位操作位置
	4. 后端新增用户商品浏览管理
	5. 后端新增用户商品收藏管理
	6. 支付插件支持自定义输出成功/失败内容
	7. 支付插件管理优化适配平台，编辑不可超出插件定义的适配平台
	8. 用户积分实时获取
	9. 管理员新增状态
	10. 后台左侧菜单优化，更简洁方便，小程序管理集合
	11. 后台新增商品复制功能
	12. 后台小程序配置集中管理
	13. 品牌支持关联多个分类
	14. 首页轮播支持电话、地图事件方式
	15. 商品详情二维码改为静态、更容易适配各种服务器环境
	16. 后台首页新增收益走势

小程序
	1. 微信小程序支持分享到朋友圈

插件
	1. 分销插件新增返积分模块、海报高清
	2. 微信小程序直播分享海报高清
	3. 运费插件支持单独每一个仓库独立配置


+=========================================================+
   ShopXO 1.8.1 Release 20200420 http://shopxo.net
+=========================================================+
全局
	1. 优购返现
	2. 微信小程序直播
	3. 购物车商品删除造成数据错误修复
	4. 商品评论字符串截取错误修复
	5. 更多细节优化以及BUG修复
	6. 部分常用数据新增缓存、提升响应速度

web端
	1. 后台数据列表布局优化、支持操作栏浮动

小程序端
	1. 优购返现
	2. 微信小程序直播
	3. 分享组件增强
	4. 部分细节优化以及BUG修复

插件
	1. 优购返现
	2. 极速下单
	3. 微信小程序直播
	4. 订单导出打印
	5. 订单改价


+=========================================================+
   ShopXO 1.8.0 Release 20200202 http://shopxo.net
+=========================================================+
全局
	1. 新增站点模式（销售模式、展示模式、自提模式、虚拟销售模式、销售+自提模式）
	2. 商品详情展示相册
	3. 会员等级插件增强版适配小程序
	4. 分销插件重构适配小程序
	5. 更多细节优化以及BUG修复

web端
	1. 支持手机访问H5首页banner自动切换
	2. 优化手机访问底部简洁模式
	3. 商品分类优化（支持图片展示，布局更清晰）

小程序端
	1. 微信小程序客服新增卡片（可直接发送商品详情给客服）
	2. 支付宝小程序新增在线客服
	3. 登录机制优化（非首次用户自动无感应登录，登录失效自动登录）
	4. 地址添加优化（从后面选择地区则提示，提升用户体验）
	5. 新增分销插件支持
	6. 新增超级会员插件支持
	7. 新增钱包插件支持
	8. 头条小程序新增在线客服

插件
	1. 分销插件优化（新增自提点，佣金结算模式优化，佣金配置具体到规格）适配小程序
	2. 超级会员插件优化（新增付费购买、三级返佣/会员裂变）适配小程序
	3. 钱包插件优化（赠送金额可配置不可提现）适配小程序
	4. 新增货币转换
	5. 新增简<—>繁多语言


+=========================================================+
   ShopXO 1.7.0 Release 20191106 http://shopxo.net
+=========================================================+
web端
	1. 新增 商品规格自动生成以及批量操作
	2. 新增 订单商品评论支持图片
	3. 新增 QQ钱包支付
	4. 优化 插件管理
	5. 优化 站点备案独立模块（新增公安备案）
	6. 优化 更多细节以及BUG修复

小程序
	1. 优化 微信小程序新增用户unionid
	2. 新增 订单售后
	3. 新增 订单商品评论/带图
	4. 新增 优惠劵
	5. 新增 订单详情扩展数据展示
	6. 新增 头条/抖音小程序
	7. 新增 QQ小程序
	8. 新增 限时秒杀优化
	9. 新增 展示型

插件
	1. 新增 商城报价单(打印/导出) 
	2. 优化 微信网页授权支持1.7


+=========================================================+
   ShopXO 1.6.0 Release 20190820 http://shopxo.net
+=========================================================+
web端
	1. 新增百度小程序
	2. 新增优惠劵插件
	3. 新增超级会员插件
	4. 新增订单自动关闭/收货脚本
	5. web站点新增更多钩子
	6. 限时秒杀插件优化
	7. 分销插件优化
	8. 应用管理优化
	9. 后台附件上传优化
	10. 留言登录校验
	11. 新增首信易支付
	12. 更多细节优化

小程序
	1. 首页改版
	2. 采用token机制、兼容H5访问
	3. 首页搜索导航固定
	4. 用户中心（新增web导航、后台可控制）
	5. 商品详情新增视频（仅支持微信和百度）
	6. 商品详情新增分享
		一键分享（使用系统内置）     	全部支持
        好物分享（依赖微信插件）     	仅支持微信小程序
        海报分享（依赖分销插件）     	仅支持微信小程序
    7. 支付宝小程序登录机制更新
    8. 新增限时秒杀支持
    9. 新增在线客服 					仅支付微信小程序
    10. 支持采用web商品详情
    11. 不强制绑定手机号码


+=========================================================+
   ShopXO 1.5.0 Release 20190617 http://shopxo.net
+=========================================================+
优化项
	1. 手机导航、PC导航同步、部分细节优化
	2. 普通用户注册/优化
	3. 小程序优化
	4. 其它细节优化

功能项
	1. 分享插件
	2. 首页推荐广告插件
	3. 全局底部导航客户服务插件
	4. 会员等级插件
	5. 钱包插件（钱包支付）
	6. 微信网页授权（公众号支付）插件
	7. 商品评论
	8. 订单售后
	9. 分销
	10. 应用商店


+=========================================================+
   ShopXO 1.4.0 Release 20190327 http://shopxo.net
+=========================================================+
后台管理功能列表
	1. 后台管理菜单优化、部分细节优化及BUG修复
	2. 新增商品价格配置显隐应用
	3. 新增问答增强版应用
	4. 新增物流查询应用
	5. 新增码支付模块
	6. 新增游客购物应用
	7. 新增QQ登录应用
	8. 新增运费模块应用
	9. 新增新用户立减应用
	10. 新增限时折扣应用
	11. 其它优化，新增核心业务钩子

前端功能列表
	1. 新增商品价格配置显隐应用
	2. 新增问答增强版应用
	3. 新增限时折扣应用
	4. 其它细节优化


+=========================================================+
   ShopXO 1.3.0 Release 20190218  http://shopxo.net
+=========================================================+
后台管理功能列表
	1. 支持应用管理、上传安装、创建应用
	2. 顶部公告改为应用
	3. 用户中心公告改为应用
	4. 回到顶部改为应用
	5. 新增顶部大图广告应用
	6. 新增用户登录奖励积分应用
	7. 新增右侧快捷导航应用
	8. 新增在线客服应用
	9. 新增SQL控制台
	10. 新增后台管理仪表盘图表统计
	11. 其它细节优化

前端功能列表
	1. 顶部公告改为应用
	2. 用户中心公告改为应用
	3. 回到顶部改为应用
	4. 新增顶部大图广告应用
	5. 新增用户登录奖励积分应用
	6. 新增右侧快捷导航应用
	7. 新增在线客服应用


+=========================================================+
   ShopXO 1.2.0 Release 20190108  http://shopxo.net
+=========================================================+
后台管理功能列表
	1、后端框架采用ThinkPHP 5.1重构
	2、所有业务处理全部提到服务层
	3、优化轮播图片
	4、商品规格支持多规格、库存、重量、图片
	5、商品规格支持无限级
	6、所有附件统一管理、上传、使用、删除
	7、安装程序重构
	8、微信小程序

前端功能列表
	1、购物流程优化、商品支持多规格+图片
	2、优化部分BUG
	3、模板错误修复

其它
	v1.2版本不再支持支付宝生活号管理（需要使用此功能的小伙伴请使用v1.1.0版本）


+=========================================================+
   ShopXO 1.1.0 Release 20181128  http://shopxo.net
+=========================================================+
后台管理功能列表
	1、优化轮播图片与手机端分离
	2、新增问答/留言
	3、新增手机端管理
	4、新增支付宝小程序（轮播、首页导航）
	5、调整平台类别
	6、新增支付宝小程序支付插件
	7、优化部分BUG

前端功能列表
	1、购物流程优化（去掉用户选择快递）
	2、优化部分BUG

手机端
	1、新增支付宝小程序
	2、支持后台配置基础信息
	3、支持后台生成程序包


+=========================================================+
   ShopXO 1.0.0 Release 20181111  http://shopxo.net
+=========================================================+
后台管理功能列表
	后台配置
	站点配置
		> 站点设置
		> 短信设置
		> 邮箱设置
		> SEO设置
	权限控制
		> 管理员列表
		> 角色管理
		> 权限分配
	用户管理
		> 用户管理
	商品管理
		> 商品管理
		> 商品分类
		> 商品评论
		> 商品浏览
		> 商品收藏
	订单管理
		> 订单管理
		> 订单售后
	网站管理
		> 导航管理
		> 自定义页面
		> 友情链接
		> 主题管理
		> 首页轮播
		> 价格筛选
		> 地区管理
		> 快递管理
		> 支付方式
	品牌管理
		> 品牌管理
		> 品牌分类
	仓库管理
		> 仓库管理
		> 仓库商品管理
	手机管理
		> 基础配置
		> 首页导航
		> 用户中心导航
		> 小程序列表
		> 小程序配置
	文章管理
		> 文章管理
		> 文章分类
	数据管理
		> 问答留言
		> 消息管理
		> 支付日志
		> 退款日志
		> 积分日志
	应用中心
		> 应用管理
		> 应用商店
	工具
		> 缓存管理
		> SQL控制台


	v1.2版本不再支持支付宝生活号管理（需要使用此功能的小伙伴请使用v1.1.0版本
	支付宝生活号管理
		> 生活号管理
		> 生活号分类
		> 消息管理
		> 菜单管理
		> 批量上下架
		> 用户管理


前端功能列表
	首页
	所有分类
	商品搜索
	商品详情
	自定义页面
	文章
	购物车
	订单确认页
	用户中心
		> 聚合内容
	业务管理
		> 订单管理
		> 订单售后
		> 我的收藏
	财产中心
		> 我的积分
	资料管理
		> 个人资料
		> 我的地址
		> 安全设置
		> 我的消息
		> 我的足迹
		> 问答留言
	安全退出